1. Screening
Qeep
  • Screening
    • Screen transaction
      POST
    • Get screening result by ID
      GET
    • Rescreen transaction
      POST
    • List screening requests
      GET
  • Schemas
    • ValidationErrorDetail
    • ErrorDetails
    • ApiErrorResponse
    • ScreeningResult
    • ScreenTransaction
    • ScreeningRequestsList
    • Rescreen
  1. Screening

Rescreen transaction

POST
/v1/txn-monitoring/screening/{id}/rescreen
Re-runs the screening process for a previously screened transaction with a reason for rescreening.

Request

Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Successful response
Bodyapplication/json

🟠400
🟠401
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.qeeptech.com/v1/txn-monitoring/screening//rescreen' \
--header 'Content-Type: application/json' \
--data '{
    "reason": "string"
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "data": {
        "id": "string",
        "transactionRef": "string",
        "status": "string",
        "riskScore": 0,
        "decision": "string",
        "matchedRules": null,
        "watchlistHits": null,
        "originator": null,
        "beneficiary": null,
        "amount": null,
        "transactionType": "string",
        "riskLevel": "string",
        "screeningTimeMs": 0,
        "evaluations": null,
        "createdAt": "string",
        "updatedAt": "string"
    },
    "message": "string",
    "meta": {
        "timestamp": "2019-08-24T14:15:22.123Z",
        "requestId": "string",
        "traceId": "string",
        "spanId": "string",
        "path": "string",
        "pagination": {
            "page": 0,
            "limit": 0,
            "total": 0,
            "totalPages": 0,
            "hasNext": true,
            "hasPrevious": true
        }
    }
}
Modified at 2026-07-20 11:15:54
Previous
Get screening result by ID
Next
List screening requests
Built with